/**
 * CRXHttpResponse.h
 */
#ifndef __CRXHTTPRESPONSE_H__
#define __CRXHTTPRESPONSE_H__

#include "CRXHttpMessage.h"

class CRXHttpResponse : public CRXHttpMessage
{
private:
	int			mStatusCode;
	std::string	mStatusString;

public:
	CRXHttpResponse					(void);

private:
	void				Parse		(void);

public:
	void				SetResponse	(const char * aHttpResponse);
	std::string			GetResponse	(void) const;

	CRXHttpResponse &	operator =	(const char * aHttpResponse);

public:
	int					GetStatusCode (void) const;
};

#endif // #ifndef __CRXHTTPRESPONSE_H__
